Bug 728768 - [History] - Missing ENUM values for USB policy in vm configuration.
Summary: [History] - Missing ENUM values for USB policy in vm configuration.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh
Version: 3.0.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Yaniv Lavi
QA Contact: David Botzer
URL:
Whiteboard: pm_inlist infra
Depends On:
Blocks: 766523
TreeView+ depends on / blocked
 
Reported: 2011-08-07 10:35 UTC by Yaniv Lavi
Modified: 2014-01-14 00:00 UTC (History)
10 users (show)

Fixed In Version: SI7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 766523 (view as bug list)
Environment:
Last Closed: 2012-12-04 19:58:12 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Yaniv Lavi 2011-08-07 10:35:16 UTC
Description of problem:
USB policy is saved as int but no ENUM values are provided in ENUM translator. 

Version-Release number of selected component (if applicable):
3.0

How reproducible:
check ENUM values in history db.
  

Expected results:
Should have ENUM values enabled\disabled like in the GUI.

Comment 1 Itamar Heim 2011-08-07 11:35:42 UTC
doesn't look important enough - postponing

Comment 2 Yaniv Lavi 2012-01-03 12:22:21 UTC
Added enums in patch:
http://gerrit.ovirt.org/859



Yaniv

Comment 4 David Botzer 2012-08-27 11:35:04 UTC
3.1/si15
Please advise which table/view and fields I should look for ENUM values,
And please supply an example of ENUM values I should expect,

Comment 5 Yaniv Lavi 2012-08-27 11:52:53 UTC
(In reply to comment #4)
> 3.1/si15
> Please advise which table/view and fields I should look for ENUM values,
> And please supply an example of ENUM values I should expect,

ENUM translator view.
Enabled or disabled.

Comment 6 David Botzer 2012-08-27 12:38:20 UTC
Fixed, 3.1/si15
In history db - v3_0_enum_translator_view correct values are found
"USB_POLICY";0;"Enabled"
"USB_POLICY";1;"Disabled"
Fixed, 3.1/si15


Note You need to log in before you can comment on or make changes to this bug.